searchNodes=[{"doc":"This is an HTML parser written in Rust. The project provides a NIF - Native Implemented Function. It works on top of a parser of the same name from the Servo project. By default this lib will try to use a precompiled NIF from the GitHub releases page. This way you don't need to have the Rust toolchain installed. In case no precompiled file is found and the Mix env is production then an error is raised. You can force the compilation to occur by setting the value of the HTML5EVER_BUILD environment variable to &quot;true&quot; or &quot;1&quot;. Alternatively you can also set the application env :build_from_source to true in order to force the build: config :html5ever , Html5ever , build_from_source : true This project is possible thanks to Rustler .","ref":"Html5ever.html","title":"Html5ever","type":"module"},{"doc":"Parses an HTML document from a string and returns a map. The map contains the document structure. Example iex&gt; Html5ever . flat_parse ( &quot;&lt;!doctype html&gt;&lt;html&gt;&lt;body&gt;&lt;h1&gt;Hello world&lt;/h1&gt;&lt;/body&gt;&lt;/html&gt;&quot; ) { :ok , %{ nodes : %{ 0 =&gt; %{ id : 0 , parent : nil , type : :document } , 1 =&gt; %{ id : 1 , parent : 0 , type : :doctype } , 2 =&gt; %{ attrs : [ ] , children : [ 3 , 4 ] , id : 2 , name : &quot;html&quot; , parent : 0 , type : :element } , 3 =&gt; %{ attrs : [ ] , children : [ ] , id : 3 , name : &quot;head&quot; , parent : 2 , type : :element } , 4 =&gt; %{ attrs : [ ] , children : [ 5 ] , id : 4 , name : &quot;body&quot; , parent : 2 , type : :element } , 5 =&gt; %{ attrs : [ ] , children : [ 6 ] , id : 5 , name : &quot;h1&quot; , parent : 4 , type : :element } , 6 =&gt; %{ contents : &quot;Hello world&quot; , id : 6 , parent : 5 , type : :text } } , root : 0 } }","ref":"Html5ever.html#flat_parse/1","title":"Html5ever.flat_parse/1","type":"function"},{"doc":"Parses an HTML document from a string. This returns a list of tuples representing the HTML tree. Example iex&gt; Html5ever . parse ( &quot;&lt;!doctype html&gt;&lt;html&gt;&lt;body&gt;&lt;h1&gt;Hello world&lt;/h1&gt;&lt;/body&gt;&lt;/html&gt;&quot; ) { :ok , [ { :doctype , &quot;html&quot; , &quot;&quot; , &quot;&quot; } , { &quot;html&quot; , [ ] , [ { &quot;head&quot; , [ ] , [ ] } , { &quot;body&quot; , [ ] , [ { &quot;h1&quot; , [ ] , [ &quot;Hello world&quot; ] } ] } ] } ] }","ref":"Html5ever.html#parse/1","title":"Html5ever.parse/1","type":"function"},{"doc":"All notable changes to this project will be documented in this file. The format is based on Keep a Changelog , and this project adheres to Semantic Versioning .","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"","ref":"changelog.html#unreleased","title":"Changelog - Unreleased","type":"extras"},{"doc":"Changed Start using rustler_precompiled as dependency.","ref":"changelog.html#0-12-0-2022-03-14","title":"Changelog - 0.12.0 - 2022-03-14","type":"extras"},{"doc":"Security Add checksum verification of precompiled NIF files before extracting them to the correct location. This is to avoid supply chain attacks. With this change we added a new mix task to download all the files and generate the checksum before publishing the package. Additionally the user can download only the local NIF file with the checksum. See the RELEASE_CHECKLIST.md file for details on how we ensure this works correctly. Removed Remove support for Elixir 1.10 and below. This is to keep a policy of supporting the latest three Elixir versions. Changed Switch from thread pool to being a dirty NIF. This prevents the resulting term from having to be sent between processes, and therefore prevents an extra copy from having to be performed. In the FlatSink implementation for the NIF, track children in a pool instead of allocating new vectors for every node. This significantly reduces allocator pressure while parsing, and improves performance. When converting a parsed FlatSink into its term representation, use a common child node stack instead of allocating a new one for every node. This significantly reduces allocator pressure while creating terms, and improves performance. Start using LTO for the NIF compilation. This reduces the build size and improves performance. Fixed Fix the target selection when using TARGET_* env vars on macOS.","ref":"changelog.html#0-11-0-2021-12-15","title":"Changelog - 0.11.0 - 2021-12-15","type":"extras"},{"doc":"Fixed It provides a precompiled NIF for ARM 64 bits running on Linux. This is needed for Raspberry PI 4.","ref":"changelog.html#0-10-1-2021-11-24","title":"Changelog - 0.10.1 - 2021-11-24","type":"extras"},{"doc":"Added Add the ability to download precompiled NIFs. We provide compiled NIF files in our GitHub releases page (from GitHub Actions) and the lib will try to download the correct NIF respecting the OS, NIF version and architecture of your build machine. This also works for Nerves projects that compiles to different targets. This way the Rust toolchain is not needed for most of people using this project. Fixed Fix compilation on macOS.","ref":"changelog.html#0-10-0-2021-11-24","title":"Changelog - 0.10.0 - 2021-11-24","type":"extras"},{"doc":"Added Add support for OTP 24. This was achieved by updating Rustler to v0.22.","ref":"changelog.html#0-9-0-2021-10-02","title":"Changelog - 0.9.0 - 2021-10-02","type":"extras"}]